### Enumeration

# Vips ForeignHeifEncoder

#### Declaration

    enum Vips.ForeignHeifEncoder

#### Description [src]

The selected encoder to use. If libheif hasn’t been compiled with the selected encoder, we will fallback to the default encoder for the compression format.

#### Members

`VIPS_FOREIGN_HEIF_ENCODER_AUTO`

  Auto.

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_HEIF_ENCODER_AOM`

  Aom.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_HEIF_ENCODER_RAV1E`

  RAV1E.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_HEIF_ENCODER_SVT`

  SVT-AV1.

  - Value: `3`
  - Available since: 8.0
`VIPS_FOREIGN_HEIF_ENCODER_X265`

  X265.

  - Value: `4`
  - Available since: 8.0